> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Analytics

> Integrate your application with the Google Analytics API

## 🚀 Quickstart

Connect to Google Analytics with Nango and see data flow in 2 minutes.

**1. Create an integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Google Analytics*. Nango doesn't have a Nango-managed OAuth app for Google Analytics yet. You'll need to set up your own by following the setup guide linked below. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Nango.

**2. Authorize Google Analytics**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Google Analytics. Later, you'll let your users do the same directly from your app.

**3. Call the Google Analytics API**

Let's make your first request to the Google Analytics Admin API (fetch a list of accounts). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/v1beta/accounts?pageSize=10" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Base-Url-Override: https://analyticsadmin.googleapis.com" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/v1beta/accounts',
>     params: {
>       pageSize: 10
>     },
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>',
>     // Base Override here as we are accessing the Admin Rest API
>     // https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1beta/accounts/list
>     baseUrlOverride: 'https://analyticsadmin.googleapis.com',
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

## 📚 Google Analytics Integration Guides

Nango maintained guides for common use cases.

* [How to register your own Google Analytics OAuth app](https://nango.dev/docs/api-integrations/google-analytics/how-to-register-your-own-google-analytics-api-oauth-app)\
  Register an OAuth app with Google Analytics and obtain credentials to connect it to Nango

* [Google App & Security Review](https://nango.dev/docs/api-integrations/google-shared/google-security-review)
  Pass Google's OAuth app verification to go to production

Official docs: [Google Analytics API documentation](https://developers.google.com/analytics/devguides/reporting/data/v1/rest)

## 🧩 Pre-built syncs & tools for Google Analytics

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `archive-conversion-event` | Archive a GA4 conversion event. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `batch-run-reports` | Run multiple GA4 reports in one request. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-conversion-event` | Create a conversion event for a GA4 property. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-data-stream` | Create a data stream for a GA4 property. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-property` | Create a GA4 property under an account. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-metadata` | Retrieve GA4 dimensions and metrics metadata. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `run-pivot-report` | Run a GA4 pivot report. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `run-realtime-report` | Run a realtime GA4 report. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `run-report` | Run a GA4 report for a property | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-data-stream` | Update a GA4 data stream. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-property` | Update a GA4 property. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `accounts` | Sync accessible Google Analytics accounts. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `audiences` | Sync GA4 audiences for properties. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `conversion-events` | Sync configured GA4 key events (formerly conversion events) | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `data-streams` | Sync web, iOS, and Android data streams for GA4 properties. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `properties` | Sync GA4 properties across accessible accounts. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.